Bug 1284113 - Process & Task Dashboard Is Unavailable to User in Manager Role
Process & Task Dashboard Is Unavailable to User in Manager Role
Status: ASSIGNED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: BAM (Show other bugs)
6.2.0
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: David Gutierrez
Jan Hrcek
:
: 1284114 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-20 16:53 EST by Justin Holmes
Modified: 2016-01-08 16:48 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Holmes 2015-11-20 16:53:09 EST
Description of problem:
Previosu

Version-Release number of selected component (if applicable):
6.2.0.CR1

How reproducible:
100%
Env is defined by https://github.com/sherl0cks/docker-bpms/tree/6.2.0.CR1 which is in docker hub https://hub.docker.com/r/sherl0cks/bpms/tags/

Steps to Reproduce:
1. Login to provide container with jboss:bpmsuite1!
2. Dashboards -> Process & Task Dashboard
3.

Actual results:
No dashboard with message "The process dashboard is NOT available. Please, review the installation instructions."

Expected results:
Dashboard is shown. If there is an error that discusses installation instructions, then a link should be provided.


Additional info:
http://jenkinscat.gsslab.pnq.redhat.com:8080/job/doc-BPMS-Administration_And_Configuration_Guide%20(html-single)/lastStableBuild/artifact/tmp/en-US/html-single/index.html#Access_control2 

says that Manager role should be able to see this dashboard. It is possible this is a docs issue
Comment 2 Kris Verlaenen 2015-11-23 08:07:00 EST
*** Bug 1284114 has been marked as a duplicate of this bug. ***
Comment 3 Justin Holmes 2015-11-24 02:11:47 EST
Further analysis shows that this is a port mapping issue. When letting docker manage port mappings (best practice), eap's http(s) ports (8080/8443) will be mapped to a random port on the network interface. It appears that when Business Central calls into Dashbuilder to render the process & task dashboard, Business Central expects Dashbuilder to be on port 8080, but it is not. This results in "java.net.ConnectException: Connection refused."

If you explicitly map the containers port 8080 to the host's 8080, then the dashboard appears as expected. 

This is not a bug. Perhaps needs to be marked as an enhancement related to docker?
Comment 4 Justin Holmes 2015-11-24 02:25:59 EST
Additionally, this only appears to be an issue on localhost.

Note You need to log in before you can comment on or make changes to this bug.